Save Chart of Accounts template mappings
curl --request POST \
--url https://sandbox.tight.com/v6/templates/chartOfAccounts/{templateId}/mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mappings": [
{
"globalGlAccountId": "ggla_123456",
"templateGlAccountIds": [
"[\"tgla_123456\"]"
]
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/templates/chartOfAccounts/{templateId}/mapping"
payload = { "mappings": [
{
"globalGlAccountId": "ggla_123456",
"templateGlAccountIds": ["[\"tgla_123456\"]"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mappings: [{globalGlAccountId: 'ggla_123456', templateGlAccountIds: ['["tgla_123456"]']}]
})
};
fetch('https://sandbox.tight.com/v6/templates/chartOfAccounts/{templateId}/mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "tcoa_123456",
"name": "Standard Business",
"status": "ACTIVE",
"isPending": true,
"isDefault": true,
"accounts": [
{
"id": "tgla_324231",
"accountNo": "11500",
"name": "Accounts Receivable",
"level": 3,
"type": "ASSET",
"subType": "AR",
"children": "<array>",
"entityType": "S_CORP",
"taxCategory": "SCHEDULE_C",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"globalGlAccountMappings": [
{
"id": "ggla_123456",
"name": "<string>",
"mappedTemplateGlAccounts": [
{
"id": "tgla_123456",
"name": "<string>"
}
],
"children": "<array>"
}
],
"businessTypeId": "bzt_123456"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Chart of Accounts
Save Chart of Accounts template mappings
Map GlobalGlAccounts to template GL accounts for transaction categorization.
POST
/
v6
/
templates
/
chartOfAccounts
/
{templateId}
/
mapping
Save Chart of Accounts template mappings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Path Parameters
The id of the Chart of Accounts template
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
⌘I